# Console

Starts the H2 Console (web-) server, as well as the TCP and PG server.

Methods
static void | main(String... args) When running without options, -tcp, -web, -browser and -pg are started.

static void

main(String... args) throws SQLException
When running without options, -tcp, -web, -browser and -pg are started.
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-url] | Start a browser and connect to this URL
[-driver] | Used together with -url: the driver
[-user] | Used together with -url: the user name
[-password] | Used together with -url: the password
[-web] | Start the web server with the H2 Console
[-tool] | Start the icon or window that allows to start a browser
[-browser] | Start a browser connecting to the web server
[-tcp] | Start the TCP server
[-pg] | Start the PG server

For each Server, additional options are available; for details, see the Server tool.
If a service can not be started, the program terminates with an exit code of 1.
Parameters:
args - the command line arguments

void | runTool(String... args) This tool starts the H2 Console (web-) server, as well as the TCP and PG server.
void | runTool(String... args) throws SQLException This tool starts the H2 Console (web-) server, as well as the TCP and PG server. For JDK 1.6, a system tray icon is created, for platforms that support it. Otherwise, a small window opens. Parameters: args - the command line arguments